Maintenance - Bulk Export

Maintenance - Bulk Export AI Tools

Open in ChatGPT

Open in ChatGPT to ask questions about this page

Open in Claude

Open in Claude to ask questions about this page

Copy as Markdown

Copy this page as markdown to use with AI assistants

View as Markdown

Open this page as markdown in a new tab

Create a backup of all conversations (chats, channels and bots) by exporting it. Note: All maintenance APIs will be accessible to give a response only to the organization admin in Cliq.

Download Maintenance - Bulk Export OpenAPI Document

Export Conversations AI Tools

Open in ChatGPT

Open in ChatGPT to ask questions about this page

Open in Claude

Open in Claude to ask questions about this page

Copy as Markdown

Copy this page as markdown to use with AI assistants

View as Markdown

Open this page as markdown in a new tab

Use this API to export specific details of all individual chats and group conversations in your organization.

Threshold limit: 20 requests per min per user
Number of API calls allowed within a minute.

Lock period: 10 minutes
Wait time before consecutive API requests.


OAuth Scope : ZohoCliq.OrganizationChats.READ

Path Parameters

COMPANY_ID
string
(Required)
  • All Maintenance API endpoints must be prefixed with company/{COMPANY_ID}/.
  • You can retrieve the company ID from the Cliq web app URL on the homepage.
  • Example: https://cliq.zoho.com/company/632387644/index.do where 632387644 is the COMPANY_ID.

Query Parameters

fields
string
(Required)

Headers

Content-Type
string
(Required)
Specifies the format of the exported data.

Request Example

Click to copy
headers_data = Map(); headers_data.put("Content-Type", "text/csv"); headers_data.put("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); response = invokeUrl [ url: "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=SOME_STRING_VALUE" type: GET headers: headers_data connection: <connection_name> ]; info response;
OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id") .get() .addHeader("Content-Type", "text/csv") .addHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") .build(); Response response = client.newCall(request).execute();
const options = { method: 'GET', headers: { 'Content-Type': 'text/csv', Authorization: 'Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' } }; fetch('https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id', options) .then(response => response.json()) .then(response => console.log(response)) .catch(err => console.error(err));
import http.client conn = http.client.HTTPSConnection("cliq.zoho.com") headers = { 'Content-Type': "text/csv", 'Authorization': "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } conn.request("GET", "/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
const http = require("https"); const options = { "method": "GET", "hostname": "cliq.zoho.com", "port": null, "path": "/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id", "headers": { "Content-Type": "text/csv", "Authorization": "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end();
var client = new RestClient("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "text/csv"); request.AddHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); IRestResponse response = client.Execute(request);
var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id"), Headers = { { "Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }
package main import ( "fmt" "net/http" "io/ioutil" ) func main() { url := "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Content-Type", "text/csv") req.Header.Add("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) }
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id"); xhr.setRequestHeader("Content-Type", "text/csv"); xhr.setRequestHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); xhr.send(data);
curl --request GET \ --url 'https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats?fields=title%2Cchat_id' \ --header 'Authorization: Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' \ --header 'Content-Type: text/csv'

Response Example

{ "list": [ { "name": "Whats new-feature updates", "id": "1277744317795524707" }, { "name": "Zylcal team trip", "id": "1277744317795524704" }, { "name": "Notely release 2.0", "id": "1277744317795524710" }, { "name": "Regional sales managers", "id": "1252218064667202771" }, { "name": "marketing-editors", "id": "1252218129769350577" } ] }
{ "message": "The request cannot be performed. Usually because of malformed parameter or missing parameter." }
{ "message": "Request was rejected because of invalid AuthToken." }
{ "message": "The user does not have enough permission or possibly not an user of the respective organization to access the resource." }
{ "message": "The URL you've sent is wrong. It's possible that the resource you've requested has been moved to another URL." }
{ "message": "The requested resource does not support the HTTP method used. For example, requesting List of all customers API with PUT as the HTTP method." }
{ "message": "The response has been received but the requested response type is not supported by the browser." }
{ "message": "Too many requests within a certain time frame." }
{ "message": "Cliq server encountered an error which prevents it from fulfilling the request." }

Export Channels AI Tools

Open in ChatGPT

Open in ChatGPT to ask questions about this page

Open in Claude

Open in Claude to ask questions about this page

Copy as Markdown

Copy this page as markdown to use with AI assistants

View as Markdown

Open this page as markdown in a new tab

Use this API to export details of all the channels in your organization.

Threshold limit: 20 requests per min per user
Number of API calls allowed within a minute.

Lock period: 10 minutes
Wait time before consecutive API requests.


OAuth Scope : ZohoCliq.OrganizationChannels.READ

Path Parameters

COMPANY_ID
string
(Required)
  • All Maintenance API endpoints must be prefixed with company/{COMPANY_ID}/.
  • You can retrieve the company ID from the Cliq web app URL on the homepage.
  • Example: https://cliq.zoho.com/company/632387644/index.do where 632387644 is the COMPANY_ID.

Query Parameters

fields
string
(Required)
Use this parameter to get the list of necessary details to be exported for all channels in your organization.
Allowed values:
  • name: Name of the channel
  • channel_id: Unique identifier of the channel
  • creation_time: Timestamp when the channel was created
  • last_modified_time: Timestamp of the most recent update
  • creator_id: Unique ID of the channel creator
  • description: Description of the channel
  • participant_count: Number of users in the channel
  • total_message_count: Total messages exchanged in the channel
  • status: Indicates if the channel is active or archived
  • role: Role of the user accessing the channel (e.g., admin, member)

Headers

Content-Type
string
(Required)
Specifies the format of the exported data.

Request Example

Click to copy
headers_data = Map(); headers_data.put("Content-Type", "text/csv"); headers_data.put("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); response = invokeUrl [ url: "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=SOME_STRING_VALUE" type: GET headers: headers_data connection: <connection_name> ]; info response;
OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count") .get() .addHeader("Content-Type", "text/csv") .addHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") .build(); Response response = client.newCall(request).execute();
const options = { method: 'GET', headers: { 'Content-Type': 'text/csv', Authorization: 'Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' } }; fetch('https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count', options) .then(response => response.json()) .then(response => console.log(response)) .catch(err => console.error(err));
import http.client conn = http.client.HTTPSConnection("cliq.zoho.com") headers = { 'Content-Type': "text/csv", 'Authorization': "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } conn.request("GET", "/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
const http = require("https"); const options = { "method": "GET", "hostname": "cliq.zoho.com", "port": null, "path": "/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count", "headers": { "Content-Type": "text/csv", "Authorization": "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end();
var client = new RestClient("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "text/csv"); request.AddHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); IRestResponse response = client.Execute(request);
var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count"), Headers = { { "Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }
package main import ( "fmt" "net/http" "io/ioutil" ) func main() { url := "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Content-Type", "text/csv") req.Header.Add("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) }
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count"); xhr.setRequestHeader("Content-Type", "text/csv"); xhr.setRequestHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); xhr.send(data);
curl --request GET \ --url 'https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/channels?fields=name%2Cchannel_id%2Cparticipant_count' \ --header 'Authorization: Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' \ --header 'Content-Type: text/csv'

Response Example

{ "data": [ { "name": "#announcements", "channel_id": "15928000000004007", "participant_count": 600 }, { "name": "#marketing", "channel_id": "15928000000021001", "participant_count": 15 }, { "name": "#devops", "channel_id": "15928000000032005", "participant_count": 54 }, { "name": "#sales", "channel_id": "15928000000054005", "participant_count": 250 }, { "name": "#contentreview", "channel_id": "15928000000075001", "participant_count": 88 } ] }
{ "message": "The request cannot be performed. Usually because of malformed parameter or missing parameter." }
{ "message": "Request was rejected because of invalid AuthToken." }
{ "message": "The user does not have enough permission or possibly not an user of the respective organization to access the resource." }
{ "message": "The URL you've sent is wrong. It's possible that the resource you've requested has been moved to another URL." }
{ "message": "The requested resource does not support the HTTP method used. For example, requesting List of all customers API with PUT as the HTTP method." }
{ "message": "The response has been received but the requested response type is not supported by the browser." }
{ "message": "Too many requests within a certain time frame." }
{ "message": "Cliq server encountered an error which prevents it from fulfilling the request." }

Export Members in a Conversation AI Tools

Open in ChatGPT

Open in ChatGPT to ask questions about this page

Open in Claude

Open in Claude to ask questions about this page

Copy as Markdown

Copy this page as markdown to use with AI assistants

View as Markdown

Open this page as markdown in a new tab

Use this API to exclusively export the details of members from a specific chat or channel.

Threshold limit: 20 requests per min per user
Number of API calls allowed within a minute.

Lock period: 10 minutes
Wait time before consecutive API requests.


OAuth Scope : ZohoCliq.OrganizationChats.READ

Path Parameters

COMPANY_ID
string
(Required)
  • All Maintenance API endpoints must be prefixed with company/{COMPANY_ID}/.
  • You can retrieve the company ID from the Cliq web app URL on the homepage.
  • Example: https://cliq.zoho.com/company/632387644/index.do where 632387644 is the COMPANY_ID.
CHAT_ID
string
(Required)
Unique idenfifier of the chat from which details of the members need to be retrieved To learn how to retrieve this ID, see CHAT_ID in the Glossary page.

Query Parameters

fields
string
(Required)
Use this parameter to get the details of members to be exported from a specific chat or channel in your organization.
Allowed values:
  • name: Name of the member
  • email: Email ID of the member
  • user_id: Unique ID of the member

Headers

Content-Type
string
(Required)
Specifies the format of the exported data.

Request Example

Click to copy
headers_data = Map(); headers_data.put("Content-Type", "text/csv"); headers_data.put("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); response = invokeUrl [ url: "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=SOME_STRING_VALUE" type: GET headers: headers_data connection: <connection_name> ]; info response;
OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id") .get() .addHeader("Content-Type", "text/csv") .addHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") .build(); Response response = client.newCall(request).execute();
const options = { method: 'GET', headers: { 'Content-Type': 'text/csv', Authorization: 'Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' } }; fetch('https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id', options) .then(response => response.json()) .then(response => console.log(response)) .catch(err => console.error(err));
import http.client conn = http.client.HTTPSConnection("cliq.zoho.com") headers = { 'Content-Type': "text/csv", 'Authorization': "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } conn.request("GET", "/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
const http = require("https"); const options = { "method": "GET", "hostname": "cliq.zoho.com", "port": null, "path": "/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id", "headers": { "Content-Type": "text/csv", "Authorization": "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end();
var client = new RestClient("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "text/csv"); request.AddHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); IRestResponse response = client.Execute(request);
var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id"), Headers = { { "Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }
package main import ( "fmt" "net/http" "io/ioutil" ) func main() { url := "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Content-Type", "text/csv") req.Header.Add("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) }
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id"); xhr.setRequestHeader("Content-Type", "text/csv"); xhr.setRequestHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); xhr.send(data);
curl --request GET \ --url 'https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/members?fields=name%2Cemail_id' \ --header 'Authorization: Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' \ --header 'Content-Type: text/csv'

Response Example

{ "data": [ { "name": "Scott Fisher", "email": "scott.fisher@zylker.com" }, { "name": "Ryan West", "email": "ryan.west@zylker.com" }, { "name": "Olivia Palmer", "email": "olivia.palmer@zylker.com" } ] }

Export Messages AI Tools

Open in ChatGPT

Open in ChatGPT to ask questions about this page

Open in Claude

Open in Claude to ask questions about this page

Copy as Markdown

Copy this page as markdown to use with AI assistants

View as Markdown

Open this page as markdown in a new tab

Use this API to export transcripts or history of all conversations in your organization.

Threshold limit: 20 requests per min per user
Number of API calls allowed within a minute.

Lock period: 10 minutes
Wait time before consecutive API requests.


OAuth Scope : ZohoCliq.OrganizationMessages.READ

Path Parameters

COMPANY_ID
string
(Required)
  • All Maintenance API endpoints must be prefixed with company/{COMPANY_ID}/.
  • You can retrieve the company ID from the Cliq web app URL on the homepage.
  • Example: https://cliq.zoho.com/company/632387644/index.do where 632387644 is the COMPANY_ID.
CHAT_ID
string
(Required)
Unique idenfifier of the chat from which history of conversations needs to be exported To learn how to retrieve this ID, see CHAT_ID in the Glossary page.

Request Example

Click to copy
headers_data = Map(); headers_data.put("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); response = invokeUrl [ url: "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages" type: GET headers: headers_data connection: <connection_name> ]; info response;
OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages") .get() .addHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") .build(); Response response = client.newCall(request).execute();
const options = { method: 'GET', headers: { Authorization: 'Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' } }; fetch('https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages', options) .then(response => response.json()) .then(response => console.log(response)) .catch(err => console.error(err));
import http.client conn = http.client.HTTPSConnection("cliq.zoho.com") headers = { 'Authorization': "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } conn.request("GET", "/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
const http = require("https"); const options = { "method": "GET", "hostname": "cliq.zoho.com", "port": null, "path": "/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages", "headers": { "Authorization": "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" } }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end();
var client = new RestClient("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); IRestResponse response = client.Execute(request);
var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages"), Headers = { { "Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }
package main import ( "fmt" "net/http" "io/ioutil" ) func main() { url := "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) }
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages"); xhr.setRequestHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"); xhr.send(data);
curl --request GET \ --url https://cliq.zoho.com/company/987000000654321/maintenanceapi/v2/chats/987000000654321/messages \ --header 'Authorization: Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f'

Response Example

{ "data": [ { "sender": { "name": "Scott Fisher", "id": "1234567" }, "ack_key": "1528182303065", "id": "1528182303637_7763880281", "time": 1528182303637, "type": "text", "content": { "text": "Hey Olivia, are you available right now to discuss about our cross marketing with Notely?" } }, { "sender": { "name": "Scott Fisher", "id": "1234567" }, "ack_key": "", "id": "1534756983506_74468102866", "time": 1534756983506, "type": "info", "content": { "type": "call_notification", "data": { "status": "completed", "callee": { "name": "Olivia", "id": "55185718" }, "duration": "00:00:09", "call_type": "audio" } } }, { "sender": { "name": "Olivia Palmer", "id": "9876543" }, "ack_key": "1547615832454", "id": "1547615832586_143161526662", "time": 1547615832586, "type": "text", "content": { "text": "Sure, Scott!s" } } ] }
{ "message": "The request cannot be performed. Usually because of malformed parameter or missing parameter." }
{ "message": "Request was rejected because of invalid AuthToken." }
{ "message": "The user does not have enough permission or possibly not an user of the respective organization to access the resource." }
{ "message": "The URL you've sent is wrong. It's possible that the resource you've requested has been moved to another URL." }
{ "message": "The requested resource does not support the HTTP method used. For example, requesting List of all customers API with PUT as the HTTP method." }
{ "message": "The response has been received but the requested response type is not supported by the browser." }
{ "message": "Too many requests within a certain time frame." }
{ "message": "Cliq server encountered an error which prevents it from fulfilling the request." }